import { IDataSourceExecutionContext } from "./IDataSourceExecutionContext";
import { Base, Type } from "./type";
export declare class DataSourceExecutionContext extends Base implements IDataSourceExecutionContext {
    private _requestAnimationFrame;
    private requestAnimationFrame;
    constructor();
    enqueueAction(a: () => void): void;
    execute(a: () => void): void;
    executeDelayed(a: () => void, b: number): void;
    static $t: Type;
}
